Name: qt
Summary: The Qt GUI application framework: Shared library
Version: 1.33
Release: 1rh4
Source: ftp.troll.no:/qt/source/qt-1.33.tar.gz
Copyright: distributable
Group: X11/Libraries
Packager: Troll Tech <info@troll.no>

%package devel
Summary: Include files and documentation needed to compile
Group: X11/Libraries

%description
Contains the shared library needed to run Qt applications, as well as
the README files for Qt.

%description devel
Contains the files necessary to develop applications using Qt: header
files, the Qt meta object compiler, man pages, HTML documentation and
example programs.  See http://www.troll.no for more information about
Qt, or file:/usr/lib/qt/html/index.html for Qt documentation in HTML.

%prep
%setup -n qt-1.33

%build
make linux-gcc-shared
make

%install
chown -R root.root .
cp bin/moc /usr/bin/moc
cp lib/libqt.so.1.33 /usr/lib
ln -sf libqt.so.1.33 /usr/lib/libqt.so
ln -sf libqt.so.1 /usr/lib/libqt.so
cp -fR man/. /usr/man
mkdir -p /usr/lib/qt /usr/lib/qt/include /usr/lib/qt/html /usr/lib/qt/tutorial /usr/lib/qt/examples
cp -fR html /usr/lib/qt
cp -fR tutorial /usr/lib/qt
cp -fR examples /usr/lib/qt
cp -fR include/. /usr/lib/qt/include
for a in `find /usr/lib/qt -name Makefile` ; do
    M=`dirname $a`/Makefile
    N=${M}.new
    cat > $N <<EOF
####### This section is automatically generated

INCDIR	=  /usr/lib/qt/include
CFLAGS	= -O2 -fno-strength-reduce -Wall -W -I/usr/X11R6/include
LFLAGS  = -lqt
SHELL   = /bin/sh
CC	= gcc
MOC	= /usr/bin/moc

####### End of automatically generated section
#
EOF
    sed -ne '/# *\$Source.*\$/,$ p' < $M >> $N
    rm -f $M
    mv $N $M
    echo edited $M
done
for a in /usr/lib/qt/*/* ; do
  if [ -d $a ];
  then
    cd $a
    A=`awk -F= '/^SRCMETA/{print $2}' Makefile`
    [ A"${A}" = A ] || rm -v $A
  fi
done
rm /usr/lib/qt/*/*/*.o
/sbin/ldconfig -v
chown root.root /usr/lib/libqt.so.1.33 /usr/lib/libqt.so.1 /usr/lib/libqt.so
chmod -R a+r /usr/lib/libqt.so* /usr/lib/qt

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc ANNOUNCE LICENSE README.QT FAQ PORTING README changes-1.30 changes-1.31 changes-1.32 changes-1.33
/usr/lib/libqt.so.1.33
/usr/lib/libqt.so.1
/usr/lib/libqt.so

%files devel
/usr/bin/moc
/usr/man/man1/moc.1
/usr/man/man3/*.3qt
/usr/lib/qt/
